image: pstauffer/curl

stages:
  - deploy
  - test

.deploy:image:root:
  stage: deploy
  script:
      - echo "Image deployed to target"
      - |
        if [ "$SUCCESS" = "true" ]; then
          echo "Success"
          exit 0
        fi
        echo "Failure"
        exit 1


deploy:image:curl:
  extends: .deploy:image:root
  before_script:
      - echo " Test Download artifacts"
      - env
      - curl --location --output artifact.txt "https://gitlab.com/api/v4/projects/$PARENT_PROJECT_ID/jobs/$PARENT_JOB_ID/artifacts/template.yaml?job_token=$CI_JOB_TOKEN"
      - cat artifact.txt
  only:
    variables:
      - $PARENT_JOB_ID

deploy:image:trigger:
  extends: .deploy:image:root
  before_script:
      - echo " Test Download artifacts"
      - env
      - curl --location --output artifact.txt "https://gitlab.com/api/v4/projects/$PARENT_PROJECT_ID/jobs/artifacts/$PARENT_BRANCH_REF/raw/template.yaml?job=$PARENT_JOB_NAME&job_token=$PARENT_JOB_TOKEN"
      - cat artifact.txt
  only:
    variables:
      - $PARENT_BRANCH_REF

  
deploy:template:
  stage: deploy
  script:
    - echo "Template deployed to target"
    - env

deploy:test:
  stage: test
  script:
    - echo "Smoke test performed to target"
    - env
